Skip to main content
GET
List Webhook Events
Returns a list of webhook events created via the API only when the callback_url was specified in the request.

Authorizations

Authorization
string
header
required

Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}

Headers

Request-Id
string
default:008e3967-a1b5-48bb-be14-d5bff5092e61
required

The unique identifier of the request

Query Parameters

business_ids
string[]

Business ID array, filter webhook events whose business IDs belong to this array

event_type
string[]

Event type array, filter webhook events whose event types belong to this array

event_status
string[]

Event status array, filter webhook events whose event status belong to this array

starting_after
string

Cursor for pagination. starting_after is the object ID that defines your position in the list. For example, if you want to get the next page, you can use the last object's ID as the parameter value after getting the object list for the first time. Cannot be used together with ending_before

ending_before
string

Cursor for pagination. ending_before is the object ID that defines your position in the list. For example, if you want to get the previous page, you can use the first object's ID as the parameter value after getting the object list for the first time. Cannot be used together with starting_after

limit
integer<int32>

Pagination parameter, number of items per page, default: 10, interface defaults to sorting by creation time in descending order. Limit: [1, 100]

Response

200 - application/json

OK

code
string

error code

message
string

error message

data
object